org.eclipse.emf.cdo.transfer

## Class CDOTransferType.Text

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.CDOTransferType
  - - org.eclipse.emf.cdo.transfer.CDOTransferType.Text

- All Implemented Interfaces:
    java.lang.Comparable<CDOTransferType>
  Enclosing class:
    CDOTransferType

      public static final class CDOTransferType.Text
      extends CDOTransferType

  A `transfer type` for text `elements` that have a special `encoding`.

  Call `CDOTransferType.text(String)` to get an encoding-specific instance.

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.transfer.CDOTransferType

      `CDOTransferType.Text`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.transfer.CDOTransferType

      `BINARY, FOLDER, MODEL, REGISTRY, UTF8`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEncoding()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.cdo.transfer.CDOTransferType

      `compareTo, equals, hashCode, text`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getEncoding

          public java.lang.String getEncoding()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html